Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin.nodes
Interface HasMenu

All Known Implementing Classes:
  CollectionNode, CollectionsNode, DirectoryNode, DocumentNode, DocumentsNode, ExtensionNode, FileNode, IndexesNode, IndexNode, RoleNode, RolesNode, RootNode, TriggerNode, UserNode

public interface HasMenu

HasMenu

Field Summary
`static int` | `REFRESH_CHILDREN`
`static int` | `REFRESH_NONE`
`static int` | `REFRESH_PARENT`
`static int` | `REFRESH_SELF`
`static int` | `REFRESH_TREE`
`static int` | `REMOVE_SELF`

Method Summary
`MenuItem[]` | `getMenu()`
`java.lang.String` | `getMenuTitle()`
`int` | `menuAction(int action)`

Field Detail

### REFRESH_NONE

    public static final int REFRESH_NONE

See Also:
  Constant Field Values

### REFRESH_CHILDREN

    public static final int REFRESH_CHILDREN

See Also:
  Constant Field Values

### REFRESH_SELF

    public static final int REFRESH_SELF

See Also:
  Constant Field Values

### REFRESH_PARENT

    public static final int REFRESH_PARENT

See Also:
  Constant Field Values

### REFRESH_TREE

    public static final int REFRESH_TREE

See Also:
  Constant Field Values

### REMOVE_SELF

    public static final int REMOVE_SELF

See Also:
  Constant Field Values

Method Detail

### getMenuTitle

    public java.lang.String getMenuTitle()

### getMenu

    public MenuItem[] getMenu()

### menuAction

    public int menuAction(int action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group